Официальный форум СВД Встраиваемые Системы
04 Декабря, 2016, 09:01:26 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.

Войти
 
 
 Сайт СВД ВС  Начало   Помощь Поиск Войти Регистрация  
Страниц: [1]   Вниз
  Печать  
Автор Тема: Патч для QNX 6.5.0 SP1  (Прочитано 1041 раз)
Александр Гусев
Интересующийся

Сообщений: 9

Gravatar


« : 28 Мая, 2015, 11:05:46 »

На последнем семинаре ваши сотрудники сказали, что существует патч для QNX 6.5.0 SP1 (поверх SP1), который исправляет довольно много ошибок. Не могу нигде его найти.
Не подскажите, где можно взять этот патч, если я правильно понял, и патч существует?
Записан

Инженер-программист
ОАО РТИ
Игорь Рондарев
Сотрудник СВД ВС
Пользователь

Сообщений: 77


Сотрудник СВД ВС


WWW
« Ответ #1 : 28 Мая, 2015, 12:21:59 »

Добрый день! Этот патч доступен на сайте QNX по следующим адресам (на примере версии для x86, также существует вариант и для ARM):

Release Notes: http://www.qnx.com/developers/articles/rel_6005_3.html
Installation Notes: http://www.qnx.com/developers/articles/inst_6004_2.html
Download: http://www.qnx.com/download/group.html?programid=20905

Обратите внимание на то, что предварительно необходимо установить обновления утилиты applypatch (Patch ID 3792, доступен для скачивания там же)
« Последнее редактирование: 28 Мая, 2015, 12:31:20 от Игорь Рондарев » Записан

Александр Гусев
Интересующийся

Сообщений: 9

Gravatar


« Ответ #2 : 28 Мая, 2015, 13:34:18 »

Добрый день! Этот патч доступен на сайте QNX по следующим адресам (на примере версии для x86, также существует вариант и для ARM):

Release Notes: http://www.qnx.com/developers/articles/rel_6005_3.html
Installation Notes: http://www.qnx.com/developers/articles/inst_6004_2.html
Download: http://www.qnx.com/download/group.html?programid=20905

Обратите внимание на то, что предварительно необходимо установить обновления утилиты applypatch (Patch ID 3792, доступен для скачивания там же)

Большое спасибо! Будем пробовать!
Записан

Инженер-программист
ОАО РТИ
Александр Гусев
Интересующийся

Сообщений: 9

Gravatar


« Ответ #3 : 03 Июня, 2015, 15:27:24 »

Столкнулся с проблемой при установке этого патча на Linux-машину (Debian 8 i386), где стоит Momentics. На QNX патч поставился нормально.
Предварительно поставил патч 650SP1-3792.
Вот вывод при установке патча 650SP1-51:
Код:
sudo -E /opt/qnx650/host/linux/x86/usr/bin/applypatch -v PSP_kernel-libc-patch51_br650_be650SP1-51_kernel-libc-x86.tar

Please confirm you would like to install patch 51_kernel-libc-x86 (PSP_kernel-libc-patch51_br650_be650SP1-51_kernel-libc-x86.tar): (y/n) y
Opening patch 51_kernel-libc-x86 for 650SP1. Desc is "PSP_kernel-libc-patch51_br650_be650SP1-51_kernel-libc-x86.tar"
Creating backup file:
done
Extracted: /opt/qnx650/install/patches/650SP1-51_kernel-libc-x86/version
Error: Could not extract file:  [Errno 17] File exists
Restoring previous system state

Подскажите, пожалуйста, в чем проблема? Может быть, вы с таким уже сталкивались?
Записан

Инженер-программист
ОАО РТИ
Александр Гусев
Интересующийся

Сообщений: 9

Gravatar


« Ответ #4 : 03 Июня, 2015, 17:31:05 »

Столкнулся с проблемой при установке этого патча на Linux-машину (Debian 8 i386), где стоит Momentics. На QNX патч поставился нормально.
Предварительно поставил патч 650SP1-3792.
Вот вывод при установке патча 650SP1-51:
Код:
sudo -E /opt/qnx650/host/linux/x86/usr/bin/applypatch -v PSP_kernel-libc-patch51_br650_be650SP1-51_kernel-libc-x86.tar

Please confirm you would like to install patch 51_kernel-libc-x86 (PSP_kernel-libc-patch51_br650_be650SP1-51_kernel-libc-x86.tar): (y/n) y
Opening patch 51_kernel-libc-x86 for 650SP1. Desc is "PSP_kernel-libc-patch51_br650_be650SP1-51_kernel-libc-x86.tar"
Creating backup file:
done
Extracted: /opt/qnx650/install/patches/650SP1-51_kernel-libc-x86/version
Error: Could not extract file:  [Errno 17] File exists
Restoring previous system state

Подскажите, пожалуйста, в чем проблема? Может быть, вы с таким уже сталкивались?

Я думаю, проблема уже не актуальна. Т.к. Momentics после патча SP1 начинает работать некорректно. Понял это, когда заметил, что отсутствует файл "recurse.mk", который требуется для сборки проектов из IDE. Оказывается, при установке SP1 он удаляется, да и не он один.
« Последнее редактирование: 03 Июня, 2015, 17:32:36 от Александр Гусев » Записан

Инженер-программист
ОАО РТИ
Александр Гусев
Интересующийся

Сообщений: 9

Gravatar


« Ответ #5 : 03 Июня, 2015, 17:31:31 »

= тут было случайное сообщение =
« Последнее редактирование: 03 Июня, 2015, 17:34:29 от Александр Гусев » Записан

Инженер-программист
ОАО РТИ
Александр Гусев
Интересующийся

Сообщений: 9

Gravatar


« Ответ #6 : 05 Октября, 2015, 17:13:02 »

Я думаю, проблема уже не актуальна. Т.к. Momentics после патча SP1 начинает работать некорректно. Понял это, когда заметил, что отсутствует файл "recurse.mk", который требуется для сборки проектов из IDE. Оказывается, при установке SP1 он удаляется, да и не он один.
Оказалось, что все работает корректно... просто нужно устанавливать патчи через sudo с опцией "-Е".
И патч 650SP1-51 нормально поставился. Тему можно закрывать.
Записан

Инженер-программист
ОАО РТИ
LH
Опытный пользователь

Сообщений: 250


« Ответ #7 : 09 Апреля, 2016, 10:48:02 »

Провел установку QNX6.5.0 SP1 (файл qnxsdp-6.5.0SP1-20123030202-nto.sh) поверх установленной QNX6.5.0.

В ходе установки проблем не возникло.

После установки проблемы:

1. В ходе загрузки ОС сообщение

ldd:FATAL: Unresolved symbol "hwi-find-item"

имя программы, выдающую сообщение об ошибке, выяснить не удалось. \
Ошибка выдается до выполнения rc.local.

2. Драйвер ram-диска devb-ram запускается, но папка /dev/ram не создается.

/sbin/devb-ram 20-Jun-2012 (длина 20095)


Какие пути решения?
Спасибо.
« Последнее редактирование: 09 Апреля, 2016, 17:27:29 от LH » Записан
Владимир Махилёв
Сотрудник СВД ВС
Ветеран

Сообщений: 659



WWW
« Ответ #8 : 09 Апреля, 2016, 18:40:02 »

Пересоберите загрузочный образ, например /boot/build/qnxbasesmp.build, и скопируйте его в /.boot
Записан

LH
Опытный пользователь

Сообщений: 250


« Ответ #9 : 12 Апреля, 2016, 04:21:47 »

Ваш совет помог.

Новые образы уже были собраны в ходе установки SP1 и лежали в /boot/fs
Использовать mkifs не пришлось.

Спасибо за поддержку.
Записан
Страниц: [1]   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP © 2002-2016 СВД Встраиваемые Системы.
При использовании материалов сайта ссылка на forum.kpda.ru обязательна.

Powered by SMF 1.1.21 | SMF © 2015, Simple Machines | © Aiwan. Kolobok smiles | Sitemap
Valid XHTML 1.0! Valid CSS!
Сайт СВД ВС

В последний раз google посещал эту страницу 01 Декабря, 2016, 04:43:16